Perform LDAP user search
GET
/domains/ldap/search
const url = 'https://example.com/api/v1/domains/ldap/search?limit=50&query=example&showAll=false';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/domains/ldap/search?limit=50&query=example&showAll=false' \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
Maximum number of results to return
domain
integer
ID of the domain
organization
integer
ID of the organization
query
required
string
Search term
showAll
boolean
Do not filter un-importable results
Responses
Section titled “Responses”List of users returned
Media typeapplication/json
object
data
Array<object>
object
ID
LDAP object ID of the person
string
name
Display name of the person
string
email
E-mail address of the person
string
type
Type of the entry (either ‘user’ or ‘contact’)
string
error
Why the entry cannot be imported (showAll=true only)
string
Examplegenerated
{ "data": [ { "ID": "example", "name": "example", "email": "example", "type": "example", "error": "example" } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}One of the required external services is unavailable
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}